<?php declare(strict_types=1);
/**
 * @copyright (c) JTL-Software-GmbH
 * @license       http://jtl-url.de/jtlshoplicense
 */

namespace Plugin\css_hazard\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

/**
 * Class Migration20231009123301
 * @package Plugin\jtl_test\Migrations
 */
class Migration20231009123301 extends Migration implements IMigration   {
    /**
     * @inheritdoc
     */

    public function up()    {
	    $this->execute(
		    "
								ALTER TABLE `css_hazardConfig` CHANGE `version` `version` VARCHAR(10)
			");
	    $this->execute(
		    "
								ALTER TABLE `css_hazardConfig` CHANGE `framework` `framework` VARCHAR(10)
			");
	    $this->execute(
		    "
								UPDATE `css_hazardConfig`  set `framework`='custom' WHERE `framework`='CU'
			");
	    $this->execute("UPDATE css_hazardConfig set `version` = '2.4.2' ");
    }

    /**
     * @inheritdoc
     */
    public function down() {
    }
}
